## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported
Interface IQueryDialogFactoryStrategy

    public interface IQueryDialogFactoryStrategy

This class will be used for the creation of a java query.

See Also:
  `JavaQueryWidget`

Method Summary
`Query` `createQuery(boolean canBeCached, boolean sideEffects, IQueryContext queryContext)`
`IAbstractWidget` `createWidget(Composite parent, IQueryContext queryContext)`
`java.lang.String` `getConclusionText()`
`java.lang.String` `getDialogMessage()`
`java.lang.String` `getDialogTitle()`

Method Detail

### createWidget

    IAbstractWidget createWidget(Composite parent,
                                 IQueryContext queryContext)

### createQuery

    Query createQuery(boolean canBeCached,
                      boolean sideEffects,
                      IQueryContext queryContext)

### getDialogMessage

    java.lang.String getDialogMessage()

### getDialogTitle

    java.lang.String getDialogTitle()

### getConclusionText

    java.lang.String getConclusionText()